$grid-columns: 36

@import "../node_modules/bootstrap/scss/bootstrap"

=keyframes($name)
  @-webkit-keyframes #{$name}
    @content
  @-moz-keyframes #{$name}
    @content
  @-ms-keyframes #{$name}
    @content
  @keyframes #{$name}
    @content

+keyframes(spinner)
  0%
    opacity: 1
  100%
    opacity: 0

html
  height: 100%

  body
    height: 100%

    app-root
      width: 100%
      height: 100%
      display: block

      app-signin
        width: 100%
        height: 100%
        display: flex


      .spinner
        height: 100%
        background: rgba(0, 0, 0, 0.25)

        &.hide
          display: none

        div
          display: inline-block
          position: fixed
          width: 200px
          height: 200px
          left: calc(50% - 100px)
          top: calc(50% - 100px)

          img
            width: 100px
            position: relative
            top: 58px
            left: 48px

          div
            transform-origin: 100px 100px
            animation: spinner 1.2s linear infinite

            &:after
              content: " "
              display: block
              position: absolute
              top: 6px
              left: 94px
              width: 12px
              height: 36px
              border-radius: 20%

            @for $i from 1 through 12
              &:nth-child(#{$i})
                transform: rotate(($i - 1) * 30deg)
                animation-delay: -0.1s * (12 - $i)
                @if $i >= 1 and $i <= 4
                  &:after
                    background: #00c600
                @else if $i >= 5 and $i <= 8
                  &:after
                    background: #ff7f00
                @else if $i >= 9 and $i <= 12
                  &:after
                    background: #ffb000


    .ngb-toasts
      position: fixed
      top: 0
      right: 0
      margin: .5em
      z-index: 1200

      app-toast
        display: block

        .toast-header.close
          margin-left: auto
          margin-bottom: .25rem
